package com.jasamedika.medifirst2000.vo;

import java.sql.Date;

import javax.persistence.Column;
import javax.persistence.FetchType;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class IpsrsTagihanBusinessCenterVO extends BaseTransactionVO{
	
	@ManyToOne(fetch = FetchType.LAZY)
	@Caption(value = "Kapasitas Jenis Pemakaian")
	private IpsrsKapasitasJenisPemakaianVO ipsrsKapasitasJenisPemakaian;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@Caption(value = "Ruangan")
	private RekananVO ruangan;
	
	@NotNull(message = "Periode tidak boleh kososng")
	@Caption(value = "Periode")
	@Column(name = "Periode", nullable = false)
	private Date periode;
	
	@NotNull(message = "Jumlah Meter Awal tidak boleh kosong")
	@Caption(value = "Jumlah Meter Awal")
	@Column(name = "JumlahMeterAwal", nullable = false)
	private float jumlahMeterAwal;
	
	@Caption(value = "Jumlah Meter Ahir")
	@Column(name = "JumlahMeterAhir", nullable = true)
	private float jumlahMeterAhir;
	
	@Caption(value = "Jumlah Pemakaian")
	@Column(name = "JumlahPemakaian", nullable = true)
	private float jumlahPemakaian;
	
	@Caption(value = "Biaya/Bulan")
	@Column(name = "BiayaPerBulan", nullable = true)
	private Double biayaPerBulan;

	public IpsrsKapasitasJenisPemakaianVO getIpsrsKapasitasJenisPemakaian() {
		return ipsrsKapasitasJenisPemakaian;
	}

	public void setIpsrsKapasitasJenisPemakaian(IpsrsKapasitasJenisPemakaianVO ipsrsKapasitasJenisPemakaian) {
		this.ipsrsKapasitasJenisPemakaian = ipsrsKapasitasJenisPemakaian;
	}

	public RekananVO getRuangan() {
		return ruangan;
	}

	public void setRuangan(RekananVO ruangan) {
		this.ruangan = ruangan;
	}

	public Date getPeriode() {
		return periode;
	}

	public void setPeriode(Date periode) {
		this.periode = periode;
	}

	public float getJumlahMeterAwal() {
		return jumlahMeterAwal;
	}

	public void setJumlahMeterAwal(float jumlahMeterAwal) {
		this.jumlahMeterAwal = jumlahMeterAwal;
	}

	public float getJumlahMeterAhir() {
		return jumlahMeterAhir;
	}

	public void setJumlahMeterAhir(float jumlahMeterAhir) {
		this.jumlahMeterAhir = jumlahMeterAhir;
	}

	public float getJumlahPemakaian() {
		return jumlahPemakaian;
	}

	public void setJumlahPemakaian(float jumlahPemakaian) {
		this.jumlahPemakaian = jumlahPemakaian;
	}

	public Double getBiayaPerBulan() {
		return biayaPerBulan;
	}

	public void setBiayaPerBulan(Double biayaPerBulan) {
		this.biayaPerBulan = biayaPerBulan;
	}
	
}
